osg::State::DefineStack Struct Reference

`#include <State>`

## Public Types

typedef std::vector< StateSet::DefinePair > | DefineVec

## Public Member Functions

| DefineStack ()
void | print (std::ostream &fout) const

## Public Attributes

bool | changed
DefineVec | defineVec

## Member Typedef Documentation

## DefineVec

typedef std::vector<StateSet::DefinePair> osg::State::DefineStack::DefineVec

## Constructor & Destructor Documentation

## DefineStack()

osg::State::DefineStack::DefineStack | ( |  | ) |

inline

References changed.

## Member Function Documentation

## print()

void osg::State::DefineStack::print | ( | std::ostream & | fout | ) | const

## Member Data Documentation

## changed

bool osg::State::DefineStack::changed

Referenced by DefineStack(), osg::State::popDefineList(), and osg::State::pushDefineList().

## defineVec

DefineVec osg::State::DefineStack::defineVec

Referenced by osg::State::applyDefineList(), osg::State::popDefineList(), and osg::State::pushDefineList().

The documentation for this struct was generated from the following file:

- State